var is_phone_verified = false;
var current_step_number = 1;
var prev_question_tracker = [];

$(function () {
    'use strict';

    var body = $('body');
    //$('#referrer_url').val(document.referrer);
    function goToNextInput(e) {
        getVerificationCode();

        var key = e.which;
        var t = $(e.target);
        var sia = t.prev('input');
        var sib = t.next('input');

        // if (key != 9 && (key < 48 || key > 57)) {
        // 	e.preventDefault();
        // 	return false;
        // }

        if (key === 9) {
            return true;
        }

        if (key === 8) {
            if (!sia || !sia.length) {
                sia = body.find('input').eq(0);
            }
            sia.select().focus();
        } else {
            if (!sib || !sib.length) {
                sib = body.find('input').eq(0);
            }
            sib.select().focus();
        }

    }

    function onKeyDown(e) {
        var key = e.which;

        if (key === 8 || key === 9 || ((key >= 48 && key <= 57) || (key >= 96 && key <= 105))) {
            return true;
        }

        e.preventDefault();
        return false;
    }

    function onFocus(e) {
        $(e.target).select();
    }

    body.on('keyup', '.code_section input', goToNextInput);
    body.on('keydown', '.code_section input', onKeyDown);
    body.on('click', '.code_section input', onFocus);

//    $('#utm_industry').val(getUrlParameter('utm_industry'));
//    $('#utm_source').val(getUrlParameter('utm_source'));
//    $('#utm_medium').val(getUrlParameter('utm_medium'));
//    $('#utm_campaign').val(getUrlParameter('utm_campaign'));
//    $('#utm_content').val(getUrlParameter('utm_content'));
//    $('#utm_term').val(getUrlParameter('utm_term'));
//    $('#utm_campaign_id').val(getUrlParameter('utm_campaign_id'));
//    $('#utm_ad_set_id').val(getUrlParameter('utm_ad_set_id'));
//    $('#utm_ad_id').val(getUrlParameter('utm_ad_id'));
//    $('#from_url').val(window.top.location);
//    $('#referrer_url').val(window.top.location);
});

function getVerificationCode() {
    verification_code = '';
    $('.code_section input').each(function () {
        verification_code += $(this).val();
    });

    console.log('verification_code', verification_code);
    if (verification_code.length == 6) {
        $('#verify-code').removeAttr('disabled');
    } else {
        $('#verify-code').attr('disabled', 'disabled');
    }
    return verification_code;
}

$(document).ready(function () {
    $('#verify-code').addClass('d-none');
    $('#PhoneNumber input').inputmask("9 9 9 9  9 9 9  9 9 9", {"placeholder": "_ _ _ _  _ _ _  _ _ _"});  //static mask

    $('#RefinancingImportance input').change(function (e) {
        if ($('#RefinancingImportance input:checked').length >= 2) {
            $('#RefinancingImportance input:not(:checked)').attr('disabled', 'disabled');
        } else {
            $('#RefinancingImportance input').removeAttr('disabled');
        }
    });

    $('.answers-container input[type="radio"]').change(function (e) {
        $('#next-question').removeAttr('disabled');
        $('#next-question').click();
    });
    $('.answers-container input[type="checkbox"]').change(function (e) {
        if ($('.question.active').find('input:checked').length) {
            if ($('.question.active').data('selection') === undefined || ($('.question.active').find('input:checked').length == $('.question.active').data('selection'))) {
                $('#next-question').removeAttr('disabled');
                $('#next-question').click();
            }
        } else {
            $('#next-question').attr('disabled', 'disabled');
        }
    });

    $("body").on("keyup", function (e) {
        if (e.key == 'Enter') {
            var q_type = $('.question.active').data('type');
            if (q_type == 'radio' || q_type == 'checkbox') {
                if ($('.question.active').find('input:checked').length) {
                    e.preventDefault();
                    $('#next-question').click();
                }
            } else { // input
                if ($('.question.active').find('input').val() != '') {
                    e.preventDefault();
                    $('#next-question').click();
                }
            }
        }
    });

    $('.question input').keyup(function (e) {

        validateData(1);
        if (e.key == 'Enter') {
            if ($(this).val() != '') {

                // if ( $('.question.active').attr('id') == 'PhoneNumber' ) {
                // 	calculateProgress();
                // } else {
                e.stopPropagation();

                if ($('.question.active').attr('id') == 'final')
                {
                    $('#verify-code').click();
                } else
                {
                    $('#next-question').click();
                }
                // }

            }

        }
    });

    $('.question input[inputmode="numeric"]').keyup(function (e) {
        var input = $(this).val();
        input = input.replace(/[^0-9]/g, '');
        $(this).val(input);
    });

    $('.question input[data-convert-amount]').keyup(function (e) {
        var entered_amount = $(this).val();
        if (entered_amount != '') {
            entered_amount = convertAmount(entered_amount);
            $(this).val(entered_amount);
        }
    });

    $('.question input[type="radio"], .question input[type="checkbox"]').change(function (e) {
        validateData();
    });

    $('.question input').blur(function (e) {
        validateData();

        calculateProgress();
    });

    $('.question select').change(function (e) {
        validateData();

        calculateProgress();
    });

    $('.answer_ok').click(function (e) {
        validateData();

        if ($('.question.active input').data('phone') !== undefined && $('#PhoneNumber input').inputmask("isComplete") && !is_phone_verified) {
            sendCode();
        } else {
            $('#next-question').click();
        }

    });

    $('.not_website').click(function (e) {
        validateData();

        if ($('#CompanyName-field').val() == '' || $('#CompanyName-field').val() === undefined) {
            return false;
        } else {
            $('#CompanyWebsite-field').val('N/A');
            $('#next-question').removeAttr('disabled');
            $('#next-question').click();
        }

    });

    $('#next-question').click(function (e) {
        if (validateData()) {
            return;
        }
        if ($('.question.active').data('type') == 'radio') {
            var next_question = $('.question.active').find('input:checked').data('next');
        } else { // q-type input
            var next_question = $('.question.active').data('next');
        }

        if (next_question == '#final') {
            $('#next-question').addClass('d-none');
            $('#verify-code').removeClass('d-none');

            if ($('#PhoneNumber input').inputmask("isComplete") && !is_phone_verified) {
                sendCode();
                return false;
            }
        }

        var q_ids = [];
        $('.question.active').each(function () {
            q_ids.push('#' + $(this).attr('id'));
        });
        prev_question_tracker.push(q_ids.join(', '));

        $('.question.active').removeClass('active');
        $(next_question).addClass('active');

        $('#prev-question').removeClass('d-none');

        $('.question.active').each(function () {
            $(this).find('.current_step_number').html(++current_step_number);
        });

        if ($('.question.active').attr('id') == 'final') {
            // $('#next-question').attr('disabled', 'disabled');
            $('#next-question').addClass('d-none');
            // $('#prev-question').addClass('d-none');
        }

        // if ($('.question.active').data('is-radio') !== undefined) { // Question with options
        // 	if (!$('.question.active').find('input[type="radio"]:checked').length) {
        // 		$('#next-question').attr('disabled', 'disabled');
        // 	}
        // }
        validateData();

        $('.question.active').first().find('input').first().focus();
        calculateProgress();
    });

    $('#prev-question').click(function (e) {
        var prev_question = prev_question_tracker.pop();
        $('.question.active').each(function () {
            --current_step_number;
        });
        $('.question.active').removeClass('active');
        $(prev_question).addClass('active');
        $('.question.active').each(function () {
            --current_step_number;
        });
        $('.question.active').each(function () {
            $(this).find('.current_step_number').html(++current_step_number);
        });

        if (!prev_question_tracker.length) {
            $('#prev-question').addClass('d-none');
        }

        $('#next-question').removeAttr('disabled').removeClass('d-none');


        validateData();

        $('.question.active').first().find('input').first().focus();
        calculateProgress();
    });
});

function calculateProgress()
{
    var questions = [];
    var total_questions = 9;
    var q_answered = 0;

    var next_question = '#CompanyName, #CompanyWebsite';
    var q1 = $(next_question).find('input');

    if (q1.length)
    {
        var has_radio_val = true;
        var has_multiple = false;
        var sub_next_questions = [];
        let current_sub_question = 0;

        while (next_question !== undefined && has_radio_val && next_question != '#final')
        {
            if (has_multiple)
            {
                current_sub_question += 1;

                if (current_sub_question == sub_next_questions.length)
                {
                    current_sub_question = 0;
                    has_multiple = false;
                    next_question = $(next_question).data('next');

                    if (next_question == '#final')
                    {
                        break;
                    }
                } else
                {
                    next_question = sub_next_questions[current_sub_question];
                }
            }

            if (next_question.includes(', ') && !has_multiple)
            {
                sub_next_questions = next_question.split(', ');
                next_question = sub_next_questions[0];
                has_multiple = true;
            }

            if ($(next_question).data('type') == 'radio')
            {
                var checked = $(next_question).find('input:checked');
                if (!$(checked).length) {
                    if ($(checked).data('skips') !== undefined) {
                        has_radio_val = false;
                    }
                } else {
                    var q_skips = $(checked).data('skips');
                    total_questions -= parseInt(q_skips);
                    var question = $(next_question).find('.question-title').data('title');
                    questions.push({question: question, answer: $(checked).val(), name: $(checked).attr('name')});

                }
                // next_question = $(checked).data('next');
                next_question = $(checked);
            } else if ($(next_question).data('type') == 'checkbox')
            {
                var checked = $(next_question).find('input:checked');
                if ($(checked).length) {
                    var checkboxes_answers = '';
                    $(checked).each(function () {
                        checkboxes_answers += $(this).val() + '<br/>';
                    });

                    var question = $(next_question).find('.question-title').data('title');
                    questions.push({question: question, answer: checkboxes_answers, name: $(checked).attr('name')});

                }
            } else if ($(next_question).data('type') == 'select')
            {
                var select = $(next_question).find('select');
                var selected = $(select).find(":selected");
                if ($(selected).val() != '') {

                    var question = $(next_question).find('.question-title').data('title');
                    questions.push({question: question, answer: $(selected).val(), name: $(select).attr('name')});

                }
            } else
            {
                var input = $(next_question).find('input');
                var entered_value = $(input).val();
                if (entered_value != '') {
                    var question = $(next_question).find('.question-title').data('title');
                    if ($(input).data('icon') !== undefined) {
                        if ($(input).data('icon') == 'icon-dollar') {
                            entered_value = '$ ' + entered_value;
                        } else if ($(input).data('icon') == 'icon-percent') {
                            entered_value = entered_value + '%';
                        }
                    }
                    questions.push({question: question, answer: entered_value, name: $(input).attr('name')});
                }
            }

            if (!has_multiple)
            {
                next_question = $(next_question).data('next');
            }
        }

        q_answered = questions.length;
        var percentage = Math.round((q_answered / total_questions) * 100);

        $('#progress-bar').css('width', percentage + '%');
        $('#percentage').html(percentage);
    } else
    {
        $('#progress-bar').css('width', '0px');
    }

    return {
        total_questions: total_questions,
        q_answered: q_answered,
        questions: questions,
    };
}
function IsvalidDomain(the_domain) {
    if (the_domain == 'N/A') {
        return true;
    }
// strip off "http://" and/or "www."
    the_domain = the_domain.replace("https://", "");
    the_domain = the_domain.replace("http://", "");
    the_domain = the_domain.replace("www.", "");

    var reg = /^[a-zA-Z0-9][a-zA-Z0-9-]{1,61}[a-zA-Z0-9]\.[a-zA-Z]{2,}$/;
    var check1 = reg.test(the_domain);
    var reg = /^[a-zA-Z0-9][a-zA-Z0-9-]{1,61}[a-zA-Z0-9]\.[a-zA-Z]{2,}\.[a-zA-Z]{2,}$/;
    var check12 = reg.test(the_domain);
    return check1 || check12;
}
function validateData(hide_error) {
    if (hide_error === undefined) {
        hide_error = 0;
    }
    $('.question.active .error-holder').hide().html('');
    $('#next-question').removeAttr('disabled');
    var has_error = false;
    var show_phone_enter_btn = false;

    $('.question.active').each(function () {
        var q_type = $(this).data('type');
        if (q_type == 'radio' || q_type == 'checkbox') {
            if (!$(this).find('input:checked').length) {
                has_error = true;
            }
        } else if ($(this).find('select').length) {
            if ($(this).find('select').val() == '') {
                has_error = true;
            }
        } else { // input
            var input_value = $(this).find('input').val();
            if (input_value == '') {
                has_error = true;
            } else if ($(this).find('input').data('min') !== undefined && $(this).find('input').data('max') !== undefined) {
                var min = min_str = $(this).find('input').data('min');
                var max = max_str = $(this).find('input').data('max');
                if ($(this).find('input').data('convert-amount') !== undefined) {
                    input_value = input_value.replace(/,/g, '');
                    min_str = convertAmount(min);
                    max_str = convertAmount(max);
                }
                var number_value = parseInt(input_value);
                if (number_value < min || number_value > max) {
                    if (!hide_error) {
                        $(this).find('.error-holder').html('<i class="fa fa-warning"></i> Please enter a number between ' + min_str + ' and ' + max_str + '').css('display', 'inline-block');
                    }
                    has_error = true;
                }
            } else if ($(this).find('input').attr('minLength') !== undefined && $(this).find('input').attr('maxLength') !== undefined) {
                var minLength = $(this).find('input').attr('minLength');
                var maxLength = $(this).find('input').attr('maxLength');
                var current_length = input_value.length;
                if (current_length < minLength || current_length > maxLength) {
                    if (!hide_error) {
                        $(this).find('.error-holder').html('<i class="fa fa-warning"></i> Post code should be  between ' + minLength + ' and ' + maxLength + '').css('display', 'inline-block');
                    }
                    has_error = true;
                }
            } else if ($(this).find('input').attr('type') == 'email') {
                if (!validateEmail(input_value)) {
                    if (!hide_error) {
                        $(this).find('.error-holder').html('<i class="fa fa-warning"></i> Hmm... that email doesn\'t look valid').css('display', 'inline-block');
                    }
                    has_error = true;
                }
            } else if ($(this).find('input').attr('name') == 'FirstName' || $(this).find('input').attr('name') == 'LastName') {
                if (input_value.length <= 1) {
                    if (!hide_error) {
                        $('#LastName').find('.error-holder').html('<i class="fa fa-warning"></i> Please enter your full name').css('display', 'inline-block');
                    }
                    has_error = true;
                }
            } else if ($(this).find('input').attr('name') == 'CompanyWebsite') {
                if (input_value.length > 0) {
                    if (input_value.includes('facebook.com') || input_value.includes('google.com') || input_value.includes('gmail.com') || !IsvalidDomain(input_value)) {
                        if (!hide_error) {
                            $('#CompanyWebsite').find('.error-holder').html('<i class="fa fa-warning"></i> Please enter your business website url').css('display', 'inline-block');
                        }
                        has_error = true;
                    }
                }
            } else if ($(this).find('input').data('phone') !== undefined && !is_phone_verified) {
                if (!$('#PhoneNumber input').inputmask("isComplete")) {
                    // show_phone_enter_btn = true;
                    has_error = true;
                }

            }
        }
    });

    if (has_error) {
        $('#next-question').attr('disabled', 'disabled');
    }

    // var answer_confirm = $('.question.active:not(#final)').find('.answer-confirm');
    // if ( !has_error ) { // if no error found
    // 	if ( q_type == 'radio' || q_type == 'checkbox' ) {
    // 		var has_value = $('.question.active').find('input:checked').length;
    // 	} else {
    // 		var has_value = $('.question.active').find('input').val();
    // 	}
    // 	if ( has_value ) {
    // 		$(answer_confirm).fadeIn('fast');
    // 	} else {
    // 		$(answer_confirm).fadeOut('fast');
    // 	}
    // } else {
    // 	if (show_phone_enter_btn) {
    // 		$(answer_confirm).fadeIn('fast');
    // 	} else {
    // 		$(answer_confirm).fadeOut('fast');
    // 	}
    // }

    return has_error;
}

function validateEmail(email) {
    const re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    return re.test(String(email).toLowerCase());
}

function sendCode() {
    if ($('#PhoneNumber input').val() != '') {
        var data = {
            action: 'send-code',
            phone_number: $('#PhoneNumber input').val()
        };

        $.ajax({
            type: "POST",
            url: 'process.php',
            data: data,
            dataType: 'json',
            success: function (res) {
                if (res.is_error) {
                    $('#PhoneNumber .error-holder').html(res.message).css('display', 'inline-block');
                    $('#next-question').removeAttr('disabled').removeClass('d-none');
                } else {
                    if (document.querySelector("#resend-code").disabled)
                    {
                        $('#resend-code').hide();
                        document.querySelector("#resend-code").disabled = false;
                    } else
                    {
                        is_phone_verified = true;
                        $('#entered_phone_number').html($('#PhoneNumber input').val().replace(/ /g, ""));
                        $('#next-question').click();
                        is_phone_verified = false;
                    }
                }
            },
            error: function (error) {
                $('#PhoneNumber .error-holder').html('<i class="fa fa-warning"></i> There was some problem').css('display', 'inline-block');
            }
        });
    }
}
function verifyCode() {
    var verification_code = getVerificationCode();
    if (verification_code.length == 6) {

        var results = calculateProgress();
        if ((results.total_questions - 1) > results.q_answered) {
            $('.question.active .error-holder').html('<i class="fa fa-warning"></i> Please answer all questions').css('display', 'inline-block');
            return false;
        }
        $('#verify-code').attr('disabled', 'disabled');

        var questions = results.questions;

        var wh_data = {
            utm_industry: $('#utm_industry').val(),
            utm_source: $('#utm_source').val(),
            utm_medium: $('#utm_medium').val(),
            utm_campaign: $('#utm_campaign').val(),
            utm_content: $('#utm_content').val(),
            utm_term: $('#utm_term').val(),
            utm_campaign_id: $('#utm_campaign_id').val(),
            utm_ad_set_id: $('#utm_ad_set_id').val(),
            utm_ad_id: $('#utm_ad_id').val(),
            from_url: $('#from_url').val(),
            user_agent: $('#user_agent').val(),
            event_id: $('#event_id').val(),
            ip_address: $('#ip_address').val(),
            date_time: new Date().toLocaleString(),
            referrer_url: $('#referrer_url').val(),
        };
        var additional_params = jQuery.param(wh_data);
        questions.forEach(function (elem) {
            if (elem.name !== 'Street') {
                additional_params += '&' + elem.name + '=' + encodeURIComponent(elem.answer);
            }
        });

        var data = {
            action: 'submit-questions',
            questions: questions,
            code: verification_code,
            phone_number: $('#PhoneNumber input').val(),
            first_name: $('#FirstName input').val(),
            user_email: $('#FirstName input').val() + ' ' + $('#LastName input').val() + ' <' + $('#EmailAddress input').val() + '>',
            wh_url: 'https://hooks.zapier.com/hooks/catch/695165/3dgq0bs/?' + additional_params
        };

        // Clear all errors before ajax request
        $('.error-holder').html('');
        $.ajax({
            type: "POST",
            url: 'process.php',
            data: data,
            dataType: 'json',
            success: function (res) {
                console.log(res);
                if (res.is_error) {
                    $('#verify-code').removeAttr('disabled');
                    $('.question.active .error-holder').html('<i class="fa fa-warning"></i> ' + res.message).css('display', 'inline-block');
                    $('#resend-code').show();
                } else { // Email sent successfully
                    console.log(res);
                    window.parent.postMessage({redirect: res.thank_page}, "*");
                    window.top.location.href = res.thank_page;
                }
            },
            error: function (error) {
                $('#verify-code').removeAttr('disabled');
                $('.question.active .error-holder').html('<i class="fa fa-warning"></i> There was some problem').css('display', 'inline-block');
            }
        });
    }
}

var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = window.top.location.search.substring(1),
            sURLVariables = sPageURL.split('&'),
            sParameterName,
            i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
        }
    }
    return false;
};

function convertAmount(amount) {
    if (amount != '') {
        if (typeof amount === 'number') {
            amount = amount + '';
        }
        amount = amount.replace(/[^0-9]/g, '');

        amount = amount.replace(/,/g, '');
        amount = parseInt(amount);
        amount = amount.toLocaleString();
    }
    return amount;
}