<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Request A Proposal | Axis Social</title>
        <!-- Favicon-->
        <link rel="icon" type="image/x-icon" href="https://s3-us-west-2.amazonaws.com/axissocial/images/axis-social-favicon.png" />
        <!-- Fontawesome -->
        <link href="css/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <!-- Google fonts-->
        <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,700" rel="stylesheet" type="text/css" />
        <link href="https://fonts.googleapis.com/css?family=Fira%20Sans:300,400,700" rel="stylesheet" type="text/css" />
        <!-- Bootstrap-->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <!-- Core theme CSS-->
        <link href="style.css?version=<?php echo microtime(); ?>" rel="stylesheet" />
        <!-- Google Tag Manager -->
        <script>(function (w, d, s, l, i) {
                w[l] = w[l] || [];
                w[l].push({'gtm.start':
                            new Date().getTime(), event: 'gtm.js'});
                var f = d.getElementsByTagName(s)[0],
                        j = d.createElement(s), dl = l != 'dataLayer' ? '&l=' + l : '';
                j.async = true;
                j.src =
                        'https://www.googletagmanager.com/gtm.js?id=' + i + dl;
                f.parentNode.insertBefore(j, f);
            })(window, document, 'script', 'dataLayer', 'GTM-P6H5CLM');</script>
        <!-- End Google Tag Manager -->
    </head>

    <body>

        <!-- Google Tag Manager (noscript) -->
        <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-P6H5CLM"
                          height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
        <!-- End Google Tag Manager (noscript) -->
        <!--  Clickcease.com tracking-->
        <script type='text/javascript'>var script = document.createElement('script');
            script.async = true;
            script.type = 'text/javascript';
            var target = 'https://www.clickcease.com/monitor/stat.js';
            script.src = target;
            var elem = document.head;
            elem.appendChild(script);
        </script>
        <noscript>
        <a href='https://www.clickcease.com' rel='nofollow'><img src='https://monitor.clickcease.com/stats/stats.aspx' alt='ClickCease'/></a>
        </noscript>
        <!--  Clickcease.com tracking-->

        <?php
        $questions = [
            'CompanyName' => [
                'type' => 'text',
                'title' => "What’s your company’s name? *",
                'placeholder' => 'Company Name',
                'next' => '#CompanyWebsite',
                'required' => 1
            ],
            'CompanyWebsite' => [
                'type' => 'text',
                'title' => "What’s your company website?",
                'placeholder' => 'Website URL',
                'next' => '#CompanySize',
            ],
            'CompanySize' => [
                'type' => 'select',
                'title' => 'What’s the size of your company? *',
                'sub_title' => null,
                'options' => [
                    'a' => ['title' => 'Just me', 'next' => '#CompanyTurnover', 'skips' => 0],
                    'b' => ['title' => '2 - 5', 'next' => '#CompanyTurnover', 'skips' => 0],
                    'c' => ['title' => '6 - 10', 'next' => '#CompanyTurnover', 'skips' => 0],
                    'd' => ['title' => '11 - 24', 'next' => '#CompanyTurnover', 'skips' => 0],
                    'e' => ['title' => '25 +', 'next' => '#CompanyTurnover', 'skips' => 0]
                ],
                'next' => '#CompanyTurnover'
            ],
            'CompanyTurnover' => [
                'type' => 'select',
                'title' => 'What’s your approximate annual turnover?',
                'sub_title' => null,
                'options' => [
                    'a' => ['title' => '$0 - $500K', 'next' => '#MonthlyBudget', 'skips' => 0],
                    'b' => ['title' => '$500K - $1M', 'next' => '#MonthlyBudget', 'skips' => 0],
                    'c' => ['title' => '$1M - $5M', 'next' => '#MonthlyBudget', 'skips' => 0],
                    'd' => ['title' => '$5M - $10M', 'next' => '#MonthlyBudget', 'skips' => 0],
                    'e' => ['title' => '$10M +', 'next' => '#MonthlyBudget', 'skips' => 0]
                ],
                'next' => '#MonthlyBudget'
            ],
            'MonthlyBudget' => [
                'type' => 'select',
                'title' => 'What’s your monthly advertising budget?',
                'sub_title' => null,
                'options' => [
                    'a' => ['title' => 'Less than $2,000', 'next' => '#FirstName', 'skips' => 0],
                    'b' => ['title' => '$2,000 - $5,000', 'next' => '#FirstName', 'skips' => 0],
                    'c' => ['title' => '$5,000 - $10,000', 'next' => '#FirstName', 'skips' => 0],
                    'd' => ['title' => '$10,000 - $20,000', 'next' => '#FirstName', 'skips' => 0],
                    'e' => ['title' => '$20,000 +', 'next' => '#FirstName', 'skips' => 0]
                ],
                'next' => '#FirstName'
            ],
            'FirstName' => [
                'type' => 'text',
                'title' => "What's your first name? *",
                'placeholder' => 'First Name',
                'next' => '#LastName',
                'required' => 1
            ],
            'LastName' => [
                'type' => 'text',
                'title' => "What's your last name? *",
                'placeholder' => 'Last Name',
                'next' => '#EmailAddress',
                'required' => 1
            ],
            'EmailAddress' => [
                'type' => 'email',
                'title' => "What's your best email address? *",
                'placeholder' => 'Email Address',
                'next' => '#PhoneNumber',
                'required' => 1
            ],
            'PhoneNumber' => [
                'type' => 'tel',
                'sub_title' => 'You will be required to verify this mobile number.',
                'title' => "What’s your mobile number? *",
                'placeholder' => '0 4 _ _  _ _ _  _ _ _', 'next' => '#final',
                'required' => 1,
                'is_phone_number' => 1,
                'icon' => 'au_flag',
                'next' => '#final',
            ]
        ];

        function generateRandomString($length = 10) {
            $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
            $charactersLength = strlen($characters);
            $randomString = '';
            for ($i = 0; $i < $length; $i++) {
                $randomString .= $characters[rand(0, $charactersLength - 1)];
            }
            return $randomString;
        }

        $utm_industry = filter_input(INPUT_GET, 'utm_industry') ?: '';
        $utm_source = filter_input(INPUT_GET, 'utm_source') ?: '';
        $utm_medium = filter_input(INPUT_GET, 'utm_medium') ?: '';
        $utm_campaign = filter_input(INPUT_GET, 'utm_campaign') ?: '';
        $utm_content = filter_input(INPUT_GET, 'utm_content') ?: '';
        $utm_term = filter_input(INPUT_GET, 'utm_term') ?: '';
        $utm_campaign_id = filter_input(INPUT_GET, 'utm_campaign_id') ?: '';
        $utm_ad_set_id = filter_input(INPUT_GET, 'utm_ad_set_id') ?: '';
        $utm_ad_id = filter_input(INPUT_GET, 'utm_ad_id') ?: '';
        $from_url = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
        $user_agent = $_SERVER["HTTP_USER_AGENT"];
        $event_id = generateRandomString(32);
        ?>

        <!-- Form -->
        <section class="questions" style="padding-bottom:20px;">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="progress">
                            <div id="progress-bar" class="progress-bar bg-primary" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <form action="process.php" method="post" novalidate="">
                            <!-- Hidden field to submit through zapier webhook -->
                            <input type="hidden" id="utm_industry" name="utm_industry" value="<?= $utm_industry ?>">
                            <input type="hidden" id="utm_source" name="utm_source" value="<?= $utm_source ?>">
                            <input type="hidden" id="utm_medium" name="utm_medium" value="<?= $utm_medium ?>">
                            <input type="hidden" id="utm_campaign" name="utm_campaign" value="<?= $utm_campaign ?>">
                            <input type="hidden" id="utm_content" name="utm_content" value="<?= $utm_content ?>">
                            <input type="hidden" id="utm_term" name="utm_term" value="<?= $utm_term ?>">
                            <input type="hidden" id="ip_address" name="ip_address" value="<?= $_SERVER['REMOTE_ADDR']; ?>">
                            <input type="hidden" id="utm_campaign_id" name="utm_campaign_id" value="<?= $utm_campaign_id ?>">
                            <input type="hidden" id="utm_ad_set_id" name="utm_ad_set_id" value="<?= $utm_ad_set_id ?>">
                            <input type="hidden" id="utm_ad_id" name="utm_ad_id" value="<?= $utm_ad_id ?>">
                            <input type="hidden" id="from_url" name="from_url" value="<?php if (isset($_SERVER['HTTP_REFERER'])) echo $_SERVER['HTTP_REFERER']; ?>">
                            <input type="hidden" id="user_agent" name="user_agent" value="<?= $user_agent ?>">
                            <input type="hidden" id="event_id" name="event_id" value="<?= $event_id ?>">
                            <input type="hidden" id="referrer_url" name="referrer_url" value="<?php if (isset($_SERVER['HTTP_REFERER'])) echo $_SERVER['HTTP_REFERER']; ?>">
<?php foreach ($questions as $key => $question) { ?>

                                <div id="<?= $key ?>" class="question <?= $key == 'CompanyName' ? 'active' : '' ?>" data-type="<?= $question['type'] ?>" <?= isset($question['next']) ? 'data-next="' . $question['next'] . '"' : '' ?> <?= isset($question['selection']) ? 'data-selection="' . $question['selection'] . '"' : '' ?> >
                                    <label class="question-title" data-title="<?= $question['title'] ?>">
                                        <span><strong class="current_step_number">1</strong> <i class="fa fa-arrow-right fa-xs"></i> </span>
                                    <?= $question['title'] ?>
                                    </label>
                                    <?= isset($question['sub_title']) ? '<p>' . $question['sub_title'] . '</p>' : '' ?>

    <?= isset($question['instructions']) ? '<p>' . $question['instructions'] . '</p>' : '' ?>

                                    <div class="answers-container <?= isset($question['icon']) ? $question['icon'] : '' ?>">
                                            <?php if ($question['type'] == 'radio' || $question['type'] == 'checkbox') { ?>
                                            <ul>
        <?php foreach ($question['options'] as $index => $option) { ?>
                                                    <li>
                                                        <input type="<?= $question['type'] ?>" name="<?= $key ?>" <?= isset($option['next']) ? 'data-next="' . $option['next'] . '"' : '' ?> data-skips="<?= $option['skips'] ?? 0 ?>" id="question-<?= $key ?>-answer-<?= $index ?>" value="<?= $option['title'] ?>">
                                                        <label for="question-<?= $key ?>-answer-<?= $index ?>"><?= $option['title'] ?></label>
                                                    </li>
                                            <?php } ?>
                                            </ul>
    <?php } else if ($question['type'] == 'select') { ?>
                                            <select name="<?= $key ?>" <?= isset($question['required']) ? 'required' : '' ?>>
                                                <option value="" selected>Please choose</option>
                                                <?php foreach ($question['options'] as $index => $option) { ?>
                                                    <option value="<?= $option['title'] ?>"><?= $option['title'] ?></option>
                                            <?php } ?>
                                            </select>
    <?php } else { ?>
                                            <input type="<?= isset($question['type']) ? $question['type'] : 'text' ?>" name="<?= $key ?>" placeholder="<?= $question['placeholder'] ?>" <?= isset($question['required']) ? 'required' : '' ?> <?= isset($question['min']) ? 'data-min="' . $question['min'] . '"' : '' ?> <?= isset($question['max']) ? 'data-max="' . $question['max'] . '"' : '' ?> <?= isset($question['minLength']) ? 'minLength="' . $question['minLength'] . '"' : '' ?>  <?= isset($question['maxLength']) ? 'maxLength="' . $question['maxLength'] . '"' : '' ?> <?= isset($question['is_phone_number']) ? 'data-phone="1"' : '' ?> <?= isset($question['convert_amount']) ? 'data-convert-amount="1"' : '' ?> <?= isset($question['convert_amount']) || isset($question['is_phone_number']) ? 'inputmode="numeric"' : '' ?> <?= isset($question['icon']) ? 'data-icon="' . $question['icon'] . '"' : '' ?> id="<?php echo $key . '-field'; ?>" autocomplete="off">
                                            <br/>
                                            <div class="error-holder" style="display: none;"></div>
                                            <?php
                                            if ($key == 'CompanyWebsite') {
                                                ?>
                                                <div>
                                                    <a class="not_website" href="javascript:;">I Don’t Have One Yet</a>
                                                </div>
                                                <?php
                                            }
                                            ?>
    <?php } ?>

                                    </div>

                                </div>

<?php } ?>

                            <div id="final" class="question">
                                <label class="question-title">
                                    A 6 digit code has been sent to:
                                    <b id="entered_phone_number"></b>. Please enter your code.
                                </label>

                                <div class="answers-container">
                                    <div class="code_section">
                                        <div class="form-group">
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />
                                            <input type="text" placeholder="*" maxLength="1" size="1" min="0" max="9" pattern="[0-9]{1}" inputmode="numeric" />

                                        <!-- <input id="code" class="form-control" type="text" placeholder="Please enter your code"> -->
                                        </div>
                                        <div class="error-holder"></div>
                                        <button id="resend-code" type="button" class="btn btn-warning" onclick="this.disabled = true;
                                                sendCode();" style="display: none;">Resend code</button>

                                    </div>
                                </div>
                            </div>
                            <div class="row action_row">
                                <div class="col-6 action-buttons">
                                    <button id="prev-question" type="button" class="btn btn-secondary btn-sm d-none">Previous</button>
                                </div>
                                <div class="col-6 action-buttons">
                                    <button id="next-question" type="button" class="btn btn-primary" disabled>Next</button>
                                    <button style="background-color: #0135ff; border-radius: 30px; border: none; padding: 10px 20px 10px 20px;font-size: 14px;font-weight: 700;" id="verify-code" type="button" class="btn btn-primary" onclick="verifyCode();" disabled>Get Started</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 offset-md-7">
                    </div>
                </div>
            </div>
        </section>

        <!-- Form End--> 

        <!-- jQuery first, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
        <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="js/jquery.inputmask.min.js"></script>
        <!-- Core theme JS-->
        <script src="custom.js?version=<?php echo microtime(); ?>"></script>
    </body>
</html>